Title: [110510] trunk/Source/WebCore
- Revision
- 110510
- Author
- [email protected]
- Date
- 2012-03-12 17:15:28 -0700 (Mon, 12 Mar 2012)
Log Message
[chromium/mac] Make sure libWebKitSystemInterface.a doesn't contain ppc object files.
https://bugs.webkit.org/show_bug.cgi?id=80902
Reviewed by Adam Barth.
Follow-up to http://codereview.chromium.org/9638015/
No intended behavior change.
* WebCore.gyp/mac/adjust_visibility.sh:
Modified Paths
Diff
Modified: trunk/Source/WebCore/ChangeLog (110509 => 110510)
--- trunk/Source/WebCore/ChangeLog 2012-03-13 00:14:39 UTC (rev 110509)
+++ trunk/Source/WebCore/ChangeLog 2012-03-13 00:15:28 UTC (rev 110510)
@@ -1,3 +1,16 @@
+2012-03-12 Nico Weber <[email protected]>
+
+ [chromium/mac] Make sure libWebKitSystemInterface.a doesn't contain ppc object files.
+ https://bugs.webkit.org/show_bug.cgi?id=80902
+
+ Reviewed by Adam Barth.
+
+ Follow-up to http://codereview.chromium.org/9638015/
+
+ No intended behavior change.
+
+ * WebCore.gyp/mac/adjust_visibility.sh:
+
2012-03-12 Jer Noble <[email protected]>
WebCore: Add support for AudioNode "tailTime()" and "latencyTime()"
Modified: trunk/Source/WebCore/WebCore.gyp/mac/adjust_visibility.sh (110509 => 110510)
--- trunk/Source/WebCore/WebCore.gyp/mac/adjust_visibility.sh 2012-03-13 00:14:39 UTC (rev 110509)
+++ trunk/Source/WebCore/WebCore.gyp/mac/adjust_visibility.sh 2012-03-13 00:15:28 UTC (rev 110510)
@@ -63,6 +63,11 @@
OUTPUT_NAME="output.a"
for ARCH in ${ARCHS} ; do
+ if [ "${ARCH}" = "ppc" -o "${ARCH}" = "ppc64" ] ; then
+ echo "Please |lipo -remove ppc -remove ppc64| from ${INPUT}."
+ echo "Xcode 4.3's ld can no longer relink ppc files."
+ exit 1
+ fi
# Get a thin version of fat input by running lipo. If the input is already
# thin, just copy it into place. The extra copy isn't strictly necessary
# but it simplifies the script.
_______________________________________________
webkit-changes mailing list
[email protected]
http://lists.webkit.org/mailman/listinfo.cgi/webkit-changes